# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {Common 17-41} -limit 10000000
set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7z010clg400-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir /home/oliver/dev/ultilabs/ip_repo/edit_axi_clock_generator_v0_9.cache/wt [current_project]
set_property parent.project_path /home/oliver/dev/ultilabs/ip_repo/edit_axi_clock_generator_v0_9.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property board_part em.avnet.com:microzed_7010:part0:1.1 [current_project]
set_property ip_repo_paths {
  /home/oliver/dev/ultilabs/ip_repo/axi_clock_generator_0.9
  /home/oliver/dev/ultilabs/ip_repo/pattern_generator_1.0
} [current_project]
read_vhdl -library xil_defaultlib {
  /home/oliver/dev/ultilabs/ip_repo/axi_clock_generator_0.9/hdl/clock_generator.vhd
  /home/oliver/dev/ultilabs/ip_repo/axi_clock_generator_0.9/hdl/axi_clock_generator_v0_9_S00_AXI.vhd
  /home/oliver/dev/ultilabs/ip_repo/axi_clock_generator_0.9/hdl/axi_clock_generator_v0_9.vhd
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}

synth_design -top axi_clock_generator_v0_9 -part xc7z010clg400-1


write_checkpoint -force -noxdef axi_clock_generator_v0_9.dcp

catch { report_utilization -file axi_clock_generator_v0_9_utilization_synth.rpt -pb axi_clock_generator_v0_9_utilization_synth.pb }
